Issue E2E Field Encryption Key

Issues an EC (P-256) public key for end-to-end (E2E) field encryption. With this key, you can encrypt specific request body fields (currently pin and recoveryPin) as a JWE (ECDH-ES+A256KW, A256GCM) and send them in the encryptedFields field. The fields can be encrypted in the end-user app and relayed by your server, or encrypted by your server directly.

The key is discarded 5 minutes after issuance. Until then it can be used any number of times, unless you limit the number of uses with maxUseCount.

See the E2E Field Encryption Guide for encryption instructions and example code in each language.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
number
≥ 1

Maximum number of times the key can be used. If omitted, the key can be used any number of times until it expires.
Once the key has been used this many times, it is discarded immediately, even if it has not expired yet.

Headers
string
required
Defaults to Bearer

API token

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json